{% load wagtailimages_tags %}
{% load static %}
{% load wagtailcore_tags %}

{% for block in page.content %}
  <div class="content {% if forloop.counter|divisibleby:2 %} gray_bg {% endif %}">
    <div class="inner">

      {% if block.block_type == "text_2_columns" %}
        <div class="uvod_text">
          {{ block.value.left_text|richtext }}
        </div>
        <div class="prehled">
          {{ block.value.right_text|richtext }}
        </div>
        <hr class="cleaner">
      {% endif %}

      {% if block.block_type == "text_1_column" %}
        <div class="text">
          <h2>{{ block.value.header }}</h2>
          {{ block.value.text|richtext }}
        </div>
        <hr class="cleaner">
      {% endif %}

      {% if block.block_type == "FAQ_columns" %}
        <div class="text">
          <div class="harmonogram">
            {{ block.value.left_text|richtext }}
          </div>
          <div class="zdroje">
            {% for faq in block.value.faqs %}
              <div class="item" id="item{{ forloop.counter0 }}">
                <a href="javascript: void(0)" class="item_arrow f_right"><img
                  src="{% static 'green_deal/images/arrow-down-black.png' %}"></a>
                <h3><a href="javascript: void(0)">{{ faq.question }}</a></h3>
                <div class="item_text hide">
                  <p>{{ faq.answer|richtext }}</p>
                </div>
              </div>
            {% endfor %}
          </div>
        </div>
        <br/>
        <hr class="cleaner">
      {% endif %}

      {% if block.block_type == "news" %}
        {% for new in block.value %}
          <div class="akt">
            {% image new.img width-800 as image_web %}
            <div class="imagebox">
              <a href="{{ new.link }}"><img class="thumbnail blog-posting__media" src="{{ image_web.url }}"
                                            alt="{{ new.header }}"></a>
            </div>
            <div class="text">
              <h3>{{ new.header }}</h3>
              <span>{{ new.date|date:"Y-m-m" }}</span>
              {{ new.perex|richtext }}
              <span><a href="{{ new.link }}">číst dále</a></span>
            </div>
          </div>
        {% endfor %}
      {% endif %}

    </div>
  </div>
{% endfor %}
